/* Overwritten Bootstrap Base Classes */
html {
	height: 95%
}

body {
	font-size: 14px;
	line-height: 20px;
	background-color: white;
	height: 95%
}

#wrapper{
	min-height: 100%;
}

.footer {
  position: relative;
  margin-top: -20px; /* negative value of footer height */
  height: 10px;
  clear:both;
  padding-top:0px;
  text-align: right;
  padding-right: 10px;
} 

.usageTable {
	display: -webkit-box;
}

.usageTitle{
	font-weight:bold;
	font-size: 1.3em;
    padding: 4%;
}

.usageDescription{
    padding-left: 4%;
}

.hide{
	display:none;
}

p {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
}

#side-nav-title .page-title {
  float: left;
  line-height: 45px;
  font-weight: 500;
  color: white;
}

#page-wrapper {
	min-height: 100%;
}

#main  {
	overflow: auto;
	min-height: 100%;
}


/* to fix footer be at the bottom  */
/* Opera Fix thanks to Maleika (Kohoutec) */
body:before {
	content: "";
	height: 100%;
	float: left;
	width: 0;
	margin-top: -32767px; /* thank you Erik J - negate effect of float*/
}
/* label,input,button,select,textarea {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
} 

.navbar-search .search-query {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
}*/

/* General */
.clearfix {
	clear: both;
}

/* .handPointer {
	cursor: pointer;
} */

/* .thumb_100x100 {
	width: 100px;
	height: 100px;
} */
h1 {
	font-size: 180%;
}

/* Menu 
#header {
	width: 1000px;
}

.nav .nav-header {
	display: block;
	padding: 3px 15px;
	font-weight: bold;
	line-height: 18px;
	color: #999;
	text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
}

.navbar .nav>li>a {
	color: #CCC;
}*/

/* Paging 
.paging-container {
	margin: 10px 5px;
}

.paging-container p.results {
	float: left;
	text-align: left;
}

.paging-container p.paging {
	float: right;
	text-align: right;
}*/

/* Form */
form span.mandatory {
	color: #FF0000;
}

Table
.table .header {
	background-image: url('../images/table-sort-bg.gif');
	background-repeat: no-repeat;
	background-position: center right;
	cursor: pointer;
}

.table .headerSortUp {
	background-image: url('../images/table-sort-asc.gif');
	background-repeat: no-repeat;
	background-position: center right;
}

.table .headerSortDown {
	background-image: url('../images/table-sort-desc.gif');
	background-repeat: no-repeat;
	background-position: center right;
}

.table .headerSortDown, .table .headerSortUp {
	background-color: #f1ffff;
}

.tableAction {
	margin-bottom: 10px;
}

/* 
.filterCell {
	display: inline-block;
	width: 350px;
	margin-bottom: 10px;
}

.filterCell>label {
	display: inline-block;
	width: 100px;
}*/

/* Login 
#loginForm {
	padding-top: 20px;
}

#loginForm .form-actions,#passwordResetForm .form-actions {
	background: none;
	border: 0;
}*/
.selectAll {
	width: 5px
}

.form-control-label {
	padding-top: 7px;
}

/*Login Form*/
.form-signin {
	max-width: 330px;
	padding: 15px;
	margin: 0 auto;
}

.form-signin .form-signin-heading, .form-signin .checkbox {
	margin-bottom: 10px;
}

.form-signin .checkbox {
	font-weight: normal;
}

.form-signin .form-control {
	position: relative;
	height: auto;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	padding: 10px;
	font-size: 16px;
}

.form-signin .form-control:focus {
	z-index: 2;
}

.form-signin input[type="text"] {
	margin-bottom: -1px;
	border-bottom-right-radius: 0;
	border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
	margin-bottom: 10px;
	border-top-left-radius: 0;
	border-top-right-radius: 0;
}

.col-centered{
	float:none;
	margin:0 auto;
}


.card {
  position: relative;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: border-box;
  border: 1px solid rgba(0, 0, 0, 0.125);
  border-radius: 0.25rem;
  margin-top: 10%;
}

.card > hr {
  margin-right: 0;
  margin-left: 0;
}

.card > .list-group:first-child .list-group-item:first-child {
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
}

.card > .list-group:last-child .list-group-item:last-child {
  border-bottom-right-radius: 0.25rem;
  border-bottom-left-radius: 0.25rem;
}

.card-body {
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  padding: 1.25rem;
}

.card-title {
  margin-bottom: 2.75rem;
}

.card-subtitle {
  margin-top: -0.375rem;
  margin-bottom: 0;
}

.card-text:last-child {
  margin-bottom: 0;
}

.card-link:hover {
  text-decoration: none;
}

.card-link + .card-link {
  margin-left: 1.25rem;
}

.card-header {
  padding: 0.75rem 1.25rem;
  margin-bottom: 0;
  background-color: rgba(0, 0, 0, 0.03);
  border-bottom: 1px solid rgba(0, 0, 0, 0.125);
}

.card-header:first-child {
  border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) 0 0;
}

.card-header + .list-group .list-group-item:first-child {
  border-top: 0;
}

.card-footer {
  padding: 0.75rem 1.25rem;
  background-color: rgba(0, 0, 0, 0.03);
  border-top: 1px solid rgba(0, 0, 0, 0.125);
}

.card-footer:last-child {
  border-radius: 0 0 calc(0.25rem - 1px) calc(0.25rem - 1px);
}

.card-header-tabs {
  margin-right: -0.625rem;
  margin-bottom: -0.75rem;
  margin-left: -0.625rem;
  border-bottom: 0;
}

.card-header-pills {
  margin-right: -0.625rem;
  margin-left: -0.625rem;
}

.card-img-overlay {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding: 1.25rem;
}

.card-img {
  width: 100%;
  border-radius: calc(0.25rem - 1px);
}

.card-img-top {
  width: 100%;
  border-top-left-radius: calc(0.25rem - 1px);
  border-top-right-radius: calc(0.25rem - 1px);
}

.card-img-bottom {
  width: 100%;
  border-bottom-right-radius: calc(0.25rem - 1px);
  border-bottom-left-radius: calc(0.25rem - 1px);
}

.card-deck {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
}

.card-deck .card {
  margin-bottom: 15px;
}

@media (min-width: 576px) {
  .card-deck {
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
    margin-right: -15px;
    margin-left: -15px;
  }
  .card-deck .card {
    display: -ms-flexbox;
    display: flex;
    -ms-flex: 1 0 0%;
    flex: 1 0 0%;
    -ms-flex-direction: column;
    flex-direction: column;
    margin-right: 15px;
    margin-bottom: 0;
    margin-left: 15px;
  }
}

.card-group {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
}

.card-group > .card {
  margin-bottom: 15px;
}

@media (min-width: 576px) {
  .card-group {
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
  }
  .card-group > .card {
    -ms-flex: 1 0 0%;
    flex: 1 0 0%;
    margin-bottom: 0;
  }
  .card-group > .card + .card {
    margin-left: 0;
    border-left: 0;
  }
  .card-group > .card:not(:last-child) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
  }
  .card-group > .card:not(:last-child) .card-img-top,
  .card-group > .card:not(:last-child) .card-header {
    border-top-right-radius: 0;
  }
  .card-group > .card:not(:last-child) .card-img-bottom,
  .card-group > .card:not(:last-child) .card-footer {
    border-bottom-right-radius: 0;
  }
  .card-group > .card:not(:first-child) {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }
  .card-group > .card:not(:first-child) .card-img-top,
  .card-group > .card:not(:first-child) .card-header {
    border-top-left-radius: 0;
  }
  .card-group > .card:not(:first-child) .card-img-bottom,
  .card-group > .card:not(:first-child) .card-footer {
    border-bottom-left-radius: 0;
  }
}

.card-columns .card {
  margin-bottom: 0.75rem;
}

@media (min-width: 576px) {
  .card-columns {
    -webkit-column-count: 3;
    -moz-column-count: 3;
    column-count: 3;
    -webkit-column-gap: 1.25rem;
    -moz-column-gap: 1.25rem;
    column-gap: 1.25rem;
    orphans: 1;
    widows: 1;
  }
  .card-columns .card {
    display: inline-block;
    width: 100%;
  }

#faceimage{
	max-width: 311px;
    max-height: 400px;
}

.center {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 30%;
    text-align: center;
}

.webpage{
	font-family: sans-serif;
}

.file-upload {
  background-color: #ffffff;
  width: 600px;
  margin: 0 auto;
  padding: 20px;
}
.hidden{
  display : none;
}

.file-upload-btn {
  width: 100%;
  margin: 0;
  color: #fff;
  background: #1FB264;
  border: none;
  padding: 10px;
  border-radius: 4px;
  border-bottom: 4px solid #ff8000;
  transition: all .2s ease;
  outline: none;
  text-transform: uppercase;
  font-weight: 700;
}

.file-upload-btn:hover {
  background: #1AA059;
  color: #ffffff;
  transition: all .2s ease;
  cursor: pointer;
}

.file-upload-btn:active {
  border: 0;
  transition: all .2s ease;
}

.file-upload-content {
  display: none;
  text-align: center;
}

.file-upload-input {
  position: absolute;
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  outline: none;
  opacity: 0;
  cursor: pointer;
}

.image-upload-wrap {
  margin-top: 20px;
  border: 4px dashed #ff8040;
  position: relative;
}

.image-dropping,
.image-upload-wrap:hover {
  background-color: #ff8000;
  border: 4px dashed #ffffff;
}

.image-title-wrap {
  padding: 0 15px 15px 15px;
  color: #222;
}

.drag-text {
  text-align: center;
}

.drag-text h3 {
  font-weight: 100;
  text-transform: uppercase;
  color: #15824B;
  padding: 60px 0;
}

.file-upload-image {
  max-height: 200px;
  max-width: 200px;
  margin: auto;
  padding: 20px;
}

.remove-image {
  width: 200px;
  margin: 0;
  color: #fff;
  background: #cd4535;
  border: none;
  padding: 10px;
  border-radius: 4px;
  border-bottom: 4px solid #b02818;
  transition: all .2s ease;
  outline: none;
  text-transform: uppercase;
  font-weight: 700;
}

.remove-image:hover {
  background: #c13b2a;
  color: #ffffff;
  transition: all .2s ease;
  cursor: pointer;
}

.remove-image:active {
  border: 0;
  transition: all .2s ease;
}

.nextButton {
    background-color: #EC6708;
    border: none;
    color: white;
    margin-left: auto;
    margin-right: auto;
    width: 63%;
    display: block;
}

.gallery-image {
  padding: 20px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  overflow:scroll;
  max-height:50%;

}

.gallery-image img {
  height: 250px;
  width: 350px;
  transform: scale(1.0);
  transition: transform 0.4s ease;
}

.img-box {
  box-sizing: content-box;
  margin: 10px;
  height: 250px;
  width: 350px;
  overflow: hidden;
  display: inline-block;
  color: white;
  position: relative;
  background-color: white;
}

.img-box:hover img { 
  transform: scale(1.1);
}

//pretty print json color
pre {outline: 1px solid #ccc; padding: 5px; margin: 5px; }
.string { color: green; }
.number { color: darkorange; }
.boolean { color: blue; }
.null { color: magenta; }
.key { color: red; } 
